Fixed bug where the install script would die if you already had installed the dev env before

This commit is contained in:
paul 2007-01-24 17:20:59 +00:00
parent 7d4a03d26d
commit 2d498ecee6
1 changed files with 10 additions and 8 deletions

View File

@ -64,14 +64,16 @@ echo " *** The system group that is running the http daemon: '$HTTP_GROUP'"
for i in $*
do
echo " *** chown :$HTTP_GROUP $i"
chown :$HTTP_GROUP $i || \
{
ERN=$?;
echo "ERROR: chown :$HTTP_GROUP $i -> You should have permissions to set group owner to group '$HTTP_GROUP'";
exit $ERN;
}
echo " *** chmod g+sw $i"
chmod g+sw $i || exit $?
if [ -G $i ]; then
chown :$HTTP_GROUP $i || \
{
ERN=$?;
echo "ERROR: chown :$HTTP_GROUP $i -> You should have permissions to set group owner to group '$HTTP_GROUP'";
exit $ERN;
}
echo " *** chmod g+sw $i"
chmod g+sw $i || exit $?
fi
done
echo " *** StorageServer bin/setupDirs.sh END"